de.esprit.netsuite.server.core

## Class ClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.esprit.common.gui.ZException
      - - de.esprit.netsuite.server.core.ClientException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ABONotOnlineException, ClientConnectionTimeoutException, ClientRequestTimeoutException, InvalidABOPrimaryKeyException, InvalidResponseException, MissingAdminPermissionException, MissingAgentResponseException, MissingJobException, MissingUserLoginException, UserAlreadyLoggedInException, UserIsLockedException

      public class ClientException
      extends ZException

  This is the base class for all exceptions thrown on client side
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientException(ErrorType errType, NlsKey nls, java.lang.Object... args)`
    `ClientException(ErrorType errType, java.lang.Throwable cause, NlsKey nls)`
    `ClientException(ErrorType errType, java.lang.Throwable cause, NlsKey nls, java.lang.Object... args)`
    `ClientException(NlsKey nls)`
    `ClientException(NlsKey nls, java.lang.Object... args)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.common.gui.ZException

      `getErrorType, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientException

          public ClientException(NlsKey nls)

    - #### ClientException

          public ClientException(NlsKey nls,
                         java.lang.Object... args)

    - #### ClientException

          public ClientException(ErrorType errType,
                         NlsKey nls,
                         java.lang.Object... args)

    - #### ClientException

          public ClientException(ErrorType errType,
                         java.lang.Throwable cause,
                         NlsKey nls)

    - #### ClientException

          public ClientException(ErrorType errType,
                         java.lang.Throwable cause,
                         NlsKey nls,
                         java.lang.Object... args)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.